--- drivers/media/video/bt8xx/bttv-input.c.orig	2006-10-15 18:57:11.000000000 +0300
+++ drivers/media/video/bt8xx/bttv-input.c	2006-10-15 18:28:08.000000000 +0300
@@ -65,6 +65,8 @@
 	    (ir->mask_keyup    &&  (0 == (gpio & ir->mask_keyup)))) {
 		ir_input_keydown(ir->dev,&ir->ir,data,data);
 	} else {
+
+	        if (btv->c.type == BTTV_BOARD_WINFAST2000) ir_input_keydown(ir->dev,&ir->ir,data,data);
 		ir_input_nokey(ir->dev,&ir->ir);
 	}
 
@@ -313,7 +315,7 @@
 
 	case BTTV_BOARD_WINFAST2000:
 		ir_codes         = ir_codes_winfast;
-		ir->mask_keycode = 0x1f8;
+		ir->mask_keycode = 0x8f8;
 		break;
 	case BTTV_BOARD_MAGICTVIEW061:
 	case BTTV_BOARD_MAGICTVIEW063:
